Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slagtm

    java.lang.Object
      org.netlib.lapack.Slagtm

    public class Slagtm

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAGTM performs a matrix-vector product of the form
     *
     *     B := alpha * A * X + beta * B
     *
     *  where A is a tridiagonal matrix of order N, B and X are N by NRHS
     *  matrices, and alpha and beta are real scalars, each of which may be
     *  0., 1., or -1.
     *
     *  Arguments
     *  =========
     *
     *  TRANS   (input) CHARACTER*1
     *          Specifies the operation applied to A.
     *          = 'N':  No transpose, B := alpha * A * X + beta * B
     *          = 'T':  Transpose,    B := alpha * A'* X + beta * B
     *          = 'C':  Conjugate transpose = Transpose
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrices X and B.
     *
     *  ALPHA   (input) REAL
     *          The scalar alpha.  ALPHA must be 0., 1., or -1.; otherwise,
     *          it is assumed to be 0.
     *
     *  DL      (input) REAL array, dimension (N-1)
     *          The (n-1) sub-diagonal elements of T.
     *
     *  D       (input) REAL array, dimension (N)
     *          The diagonal elements of T.
     *
     *  DU      (input) REAL array, dimension (N-1)
     *          The (n-1) super-diagonal elements of T.
     *
     *  X       (input) REAL array, dimension (LDX,NRHS)
     *          The N by NRHS matrix X.
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(N,1).
     *
     *  BETA    (input) REAL
     *          The scalar beta.  BETA must be 0., 1., or -1.; otherwise,
     *          it is assumed to be 1.
     *
     *  B       (input/output) REAL array, dimension (LDB,NRHS)
     *          On entry, the N by NRHS matrix B.
     *          On exit, B is overwritten by the matrix expression
     *          B := alpha * A * X + beta * B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(N,1).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slagtm()`

Method Summary
`static void` | `slagtm(java.lang.String trans, int n, int nrhs, float alpha, float[] dl, int _dl_offset, float[] d, int _d_offset, float[] du, int _du_offset, float[] x, int _x_offset, int ldx, float beta, float[] b, int _b_offset, int ldb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slagtm

    public Slagtm()

Method Detail

### slagtm

    public static void slagtm(java.lang.String trans,
                              int n,
                              int nrhs,
                              float alpha,
                              float[] dl,
                              int _dl_offset,
                              float[] d,
                              int _d_offset,
                              float[] du,
                              int _du_offset,
                              float[] x,
                              int _x_offset,
                              int ldx,
                              float beta,
                              float[] b,
                              int _b_offset,
                              int ldb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD